/*!*******************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[0].use[1]!./node_modules/postcss-loader/dist/cjs.js!./node_modules/sass-loader/dist/cjs.js!./scss/Main.scss ***!
  \*******************************************************************************************************************************************************************************/
/* Breakpoints taken from MudBlazor: https://github.com/MudBlazor/MudBlazor/blob/dev/src/MudBlazor/Styles/abstracts/_variables.scss */
html, body, body.mud-dialog-open {
  /*overflow-y: scroll !important;*/
  padding-right: 0 !important;
}

.mud-overlay {
  contain: strict;
}

.mw-25 {
  max-width: 25% !important;
}

.mw-50 {
  max-width: 50% !important;
}

.mw-75 {
  max-width: 75% !important;
}

.w-10 {
  width: 10% !important;
}

.w-20 {
  width: 20% !important;
}

.w-30 {
  width: 30% !important;
}

.w-40 {
  width: 40% !important;
}

.w-60 {
  width: 60% !important;
}

.w-70 {
  width: 70% !important;
}

.w-80 {
  width: 80% !important;
}

.w-90 {
  width: 90% !important;
}

.cursor-pointer {
  cursor: pointer;
}

hr {
  opacity: initial;
  border: initial;
}

.dashboard-container {
  padding-left: 20px;
  padding-right: 20px;
}
.dashboard-container .dashboard-search-row {
  max-width: 50%;
  width: 50%;
}
.dashboard-container .dashboard-search-row .search-input {
  background-color: var(--mud-palette-surface);
}
.dashboard-container .dashboard-search-row button {
  padding: 14px 20px !important;
}
@media (max-width: 600px) {
  .dashboard-container .dashboard-search-row {
    max-width: 100%;
    width: 100%;
  }
}

.mud-card-header-content {
  width: 100%;
}

/*::-webkit-scrollbar-thumb, html, body * {
    scrollbar-color: var(--mud-palette-primary) transparent !important;
}*/
.hover-no-underline:hover {
  text-decoration: none !important;
}

/* Radzen overrides */
.ui-slider {
  position: relative;
  display: inline-block;
  border: 1px solid var(--mud-palette-text-primary);
  border-radius: 4px;
  background-color: var(--mud-palette-text-primary);
  margin-right: 20px !important;
}
.ui-slider.ui-slider-horizontal {
  height: 4px;
}
.ui-slider :after, .ui-slider :before {
  content: "";
}
.ui-slider .ui-slider-range {
  position: absolute;
  top: -1px;
  bottom: -1px;
  left: -1px;
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
  background-color: var(--mud-palette-text-primary);
  border: 1px solid var(--mud-palette-text-primary);
}
.ui-slider .ui-slider-handle {
  background-color: var(--mud-palette-text-primary);
  position: absolute;
  transform: translateY(-50%);
  top: 50%;
  border-radius: 50%;
  width: 1rem;
  height: 1rem;
}

/* MudBlazor */
.mud-appbar .mud-toolbar h5 {
  margin-right: 25px;
}
.mud-appbar .mud-toolbar .mud-menu {
  margin-top: 5px;
}
.mud-appbar .mud-toolbar .mud-menu .mud-button-text {
  color: var(--mud-palette-appbar-text) !important;
}
.mud-appbar .mud-toolbar a.mud-button {
  /*margin-top: 5px;*/
}

.mud-toolbar .mud-checkbox {
  /*margin-top: 7px;*/
}
.mud-toolbar .mud-checkbox .mud-button-root {
  padding: 0px;
}

.mud-radio.mud-radio-dense .mud-icon-button {
  padding: 4px 8px;
}

.mud-checkbox.mud-checkbox-dense .mud-icon-button {
  padding: 4px 8px 4px 0px;
}

.mud-checkbox.mud-checkbox-ml-0 .mud-icon-button {
  padding: 0px;
  margin: 15px 5px 15px 0px;
}

.mud-tooltip-root:hover .mud-tooltip {
  z-index: var(--mud-zindex-tooltip);
}

.mud-breadcrumbs li:last-child a {
  color: var(--mud-palette-text-primary-lighten);
}

.container-drilling span.small-text, .grid-static .grid-col span.small-text {
  font-size: 0.7em;
}

.signal-control label.mud-input-label {
  color: var(--mud-palette-text-primary);
  padding: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1;
  letter-spacing: 0.00938em;
  z-index: 0;
  pointer-events: none;
}

.visual-actions {
  position: absolute;
  right: 16px;
  top: 0px;
  z-index: calc(var(--mud-zindex-appbar) + 1);
}
.visual-actions .mud-icon-button {
  padding: 10px;
}
.visual-content-geomap .visual-actions.dark .mud-icon-button {
  color: var(--mud-palette-dark-lighten);
}

.mud-card-header.visual-content-geomap {
  width: calc(100% - 60px);
}
.mud-card-header.visual-content-geomap button {
  background-color: var(--mud-palette-action-default-hover);
}

.mud-menu.mud-menu-align-right .mud-popover.mud-popover-open {
  right: 7px;
}

.signal-rangeselect .irs--round .irs-from, .signal-rangeselect .irs--round .irs-to, .signal-rangeselect .irs--round .irs-single {
  background-color: var(--mud-palette-primary);
}
.signal-rangeselect .irs--round .irs-from:before, .signal-rangeselect .irs--round .irs-to:before, .signal-rangeselect .irs--round .irs-single:before {
  border-top-color: var(--mud-palette-primary);
}
.signal-rangeselect .irs--round .irs-bar {
  background-color: var(--mud-palette-primary);
}
.signal-rangeselect .irs--round .irs-line {
  background-color: var(--mud-palette-text-primary);
}
.signal-rangeselect .irs-handle {
  background-color: var(--mud-palette-primary) !important;
  border: 4px solid var(--mud-palette-primary);
  width: 14px !important;
  height: 14px !important;
  top: 31px !important;
  border-radius: 50% !important;
}
.signal-rangeselect .irs-min, .signal-rangeselect .irs-max {
  color: var(--mud-palette-text-primary);
  font-style: italic;
  font-size: 11px;
  top: 19px;
}
.signal-rangeselect .irs--round .irs-min, .signal-rangeselect .irs--round .irs-max {
  background-color: var(--mud-palette-drawer-background);
}

.filters-container {
  color: var(--mud-palette-dark-text);
  background-color: var(--mud-palette-dark-lighten);
  border: solid 1px var(--mud-palette-dark);
  font-size: 12px;
}
.filters-container .filters-title {
  padding: 10px;
  margin-right: 20px;
  font-size: 15px;
}
.filters-container .filter-details {
  background-color: var(--mud-palette-dark-text);
  font-size: 22px;
  padding: 6px;
  margin-top: 3px;
  border-radius: 4px;
  margin-right: 5px;
}
.filters-container .filter-details button {
  padding: 4px;
  font-size: 14px;
  border: none;
  background-color: var(--mud-palette-dark-text);
  margin-top: 0px;
  font-weight: bold;
}
.filters-container .filter-details button.deactive {
  text-decoration: line-through;
  font-weight: normal;
}
.filters-container .filter-details.not-set {
  padding: 2px 15px;
}

.quick-filters {
  position: sticky;
  bottom: 0;
  opacity: 0.95;
  width: 100% !important;
  margin-left: 0px !important;
}

.fixed {
  position: fixed;
}
.fixed .fixed-bottom {
  left: 0;
  bottom: 0;
  width: 100%;
  z-index: 22;
}

.top-header-line {
  height: 14px;
  border-radius: 2px;
}

.uic-tag-selector {
  background: none !important;
  background-color: var(--mud-palette-background) !important;
  color: currentColor !important;
  border: none !important;
  border-radius: unset !important;
}
.uic-tag-selector.form-control {
  height: auto;
  /*background-color: var(--mud-palette-surface) !important;*/
  background: none !important;
}
.uic-tag-selector input {
  color: currentColor !important;
  border-bottom: 1px solid var(--mud-palette-lines-inputs) !important;
  /*background-color: var(--mud-palette-background) !important;*/
  background: none !important;
}
.uic-tag-selector .badge .badge-primary {
  color: var(--mud-palette-primary-text) !important;
  background-color: var(--mud-palette-primary) !important;
}

.input-tiny .mud-input input {
  padding-top: 4px !important;
  padding-bottom: 4px !important;
  font-size: 14px !important;
}

.tab-tiny {
  background-color: var(--mud-palette-surface);
  /*max-height: calc(100% - 130px);*/
  overflow: auto;
}
.tab-tiny .mud-tabs-panels {
  overflow: auto;
  height: 100% !important;
}

.mud-tabs.h-100 .mud-tabs-panels {
  height: 100% !important;
}

.metric-container {
  /*font-size: 1em;*/
}
.metric-container .title {
  font-size: 1.2em;
}
.metric-container .metric-value {
  font-weight: bold;
}
.metric-container .subtitle {
  font-size: 1em;
  font-style: italic;
  text-align: center;
}
.metric-container .metric-small .mud-icon-root, .metric-container .metric-small .material-icons {
  font-size: 1.3em;
  vertical-align: middle;
  /*margin-top: 5px;*/
}
.metric-container .metric-small .metric-value {
  font-size: 1.5em;
  vertical-align: middle;
}
.metric-container .metric-medium .mud-icon-root, .metric-container .metric-medium .material-icons {
  font-size: 1.8em;
  vertical-align: middle;
  /*margin-top: 5px;*/
}
.metric-container .metric-medium .metric-value {
  font-size: 2.2em;
  vertical-align: middle;
}
.metric-container .metric-large .mud-icon-root, .metric-container .metric-large .material-icons {
  font-size: 2.1em;
  vertical-align: middle;
  /*margin-top: 5px;*/
}
.metric-container .metric-large .metric-value {
  font-size: 2.5em;
  vertical-align: middle;
}
.metric-container .metric-xl .mud-icon-root, .metric-container .metric-xl .material-icons {
  font-size: 2.8em;
  vertical-align: middle;
  /*margin-top: 5px;*/
}
.metric-container .metric-xl .metric-value {
  font-size: 3em;
  vertical-align: middle;
}
.metric-container .metric-xxl .mud-icon-root, .metric-container .metric-xxl .material-icons {
  font-size: 3.2em;
  vertical-align: middle;
  /*margin-top: 5px;*/
}
.metric-container .metric-xxl .metric-value {
  font-size: 3.5em;
  vertical-align: middle;
}
.metric-container .block-metric i, .metric-container .block-metric span {
  vertical-align: middle;
  font-size: inherit;
}
.metric-container .block-metric .material-icons, .metric-container .block-metric .metric {
  font-weight: bold;
}
.metric-container .block-metric .metric {
  color: var(--mud-palette-text-primary);
}
.metric-container .percent-block-metric-value, .metric-container .percent-block-metric-delta {
  text-align: center;
}
.metric-container .percent-block-metric-value .title, .metric-container .percent-block-metric-delta .title {
  font-size: 1.2em;
}
.metric-container .percent-block-metric-value .title.metric-small, .metric-container .percent-block-metric-delta .title.metric-small {
  font-size: 1em !important;
}
.metric-container .percent-block-metric-value .title.metric-medium, .metric-container .percent-block-metric-delta .title.metric-medium {
  font-size: 1.2em !important;
}
.metric-container .percent-block-metric-value .title.metric-large, .metric-container .percent-block-metric-delta .title.metric-large {
  font-size: 1.4em !important;
}
.metric-container .metric {
  text-align: center;
}
.metric-container .metric .metric-value {
  font-weight: bold;
}
.metric-container .metric {
  /*.material-icons {
      font-size: 2.1em;
      color: inherit !important;
      vertical-align: text-bottom;
  }*/
}
.metric-container .metric.metric-small {
  /*font-size: 1.35em;*/
  font-size: 2.5em;
}
.metric-container .metric.metric-medium {
  /*font-size: 1.91em;*/
  font-size: 2.5em;
}
.metric-container .metric.metric-large {
  /*font-size: 2.48em;*/
  font-size: 2.5em;
}
.metric-container .metric.metric-xl {
  /*font-size: 2.81em;*/
  font-size: 2.5em;
}
.metric-container .metric.metric-xxl {
  /*font-size: 3.38em;*/
  font-size: 2.5em;
}
.metric-container .metric-info {
  text-align: center;
}
.metric-container .trending {
  font-size: 1rem;
  text-align: center;
  padding-top: 12px;
}
.metric-container .trending .metric-value.metric-percent {
  /*font-weight: normal !important;*/
  font-size: 1.2rem;
}
.metric-container .trending .metric-value.metric-delta {
  font-weight: normal !important;
  font-size: 1rem;
}
.metric-container .trending.focus-delta {
  padding-top: inherit;
}
.metric-container .trending.focus-delta .metric-value.metric-percent {
  font-weight: bold !important;
  font-size: 2rem;
}
.metric-container .trending.focus-delta .metric-value.metric-delta {
  font-weight: bold !important;
  font-size: 1.1rem;
}
.metric-container .date-metric-delta-container {
  margin-bottom: 25px;
}
.metric-container .date-metric-delta-left .date-metric-delta {
  font-size: 1rem !important;
}
.metric-container .date-metric-delta-period {
  font-size: 1rem;
  text-align: center;
}
.metric-container .date-metric-delta-right .date-metric-delta {
  font-size: 1rem !important;
}
.metric-container .date-metric-delta-left, .metric-container .date-metric-delta-right {
  font-size: 1.1em !important;
  font-weight: bold;
}
.metric-container .subtitle {
  font-size: 1.1em !important;
  font-style: italic;
  text-align: center;
}
.metric-container .subtitle.metric-small {
  font-size: 0.9em !important;
}
.metric-container .subtitle.metric-medium {
  font-size: 1.1em !important;
}
.metric-container .subtitle.metric-large {
  font-size: 1.3em !important;
}

:root {
  --dynamic-max-height: 100vh;
}

.dynamic-max-height {
  max-height: var(--dynamic-max-height);
}

/*fieldset {*/
/*border-radius: var(--mud-default-borderradius);*/
/*border-color: var(--mud-palette-lines-inputs);
    border-width: 1px;
    border-style: solid;
    padding-left: 10px;
}
*/
fieldset {
  padding-left: 10px;
}
fieldset legend {
  font-size: 0.8rem;
  padding: 0px 5px;
  margin-left: 0px;
  color: var(--mud-palette-text-primary);
  width: auto;
}

.data-blend-actions button {
  background-color: var(--mud-palette-surface) !important;
}

.mud-dialog.dialog-full-size {
  height: 90vh !important;
  width: calc(100% - 164px) !important;
  max-width: calc(100% - 164px) !important;
}
.mud-dialog.dialog-full-size .outline-none {
  height: 100%;
}
.mud-dialog.dialog-full-size .outline-none div[tabindex="-1"] {
  height: 100%;
}
.mud-dialog.dialog-full-size .outline-none div[tabindex="-1"] .mud-dialog-content {
  height: calc(100% - 60px);
}

.mud-dialog-content .baselayer {
  background-color: rgba(215, 4, 90, 0.2470588235);
}

.bookmark-menu .mud-list-item-icon {
  min-width: 35px;
}

/*.dynamic-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 100%;
    overflow: hidden;

    .filter.dynamic-section {
        .mud-radio-group {
            .mud-radio-button {
                padding-left: 1px;
            }
        }
    }

    .dynamic-section {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        min-height: 0;
        width: 100%;
        max-width: 100%;
        overflow-x: hidden;
        overflow-y: scroll;
    }

    .dynamic-section-auto-scroll {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        min-height: 0;
        width: 100%;
        max-width: 100%;
        overflow-x: hidden;
        overflow-y: auto;
    }

    .filter.dynamic-section, .signal-select .dynamic-section, .pb-4.filter {
        overflow-y: auto;
    }

    .pb-4.filter {
        padding-right: 16px;
        overflow-y: clip;
    }


    .dynamic-scrollable-content {
        flex-grow: 1;
        flex-basis: 100px;*/
/*overflow-x: hidden;*/
/*min-height: 0;*/
/*max-width: calc(100% - 10px);
        overflow-y: auto;
    }

    .dynamic-scrollable-content .mud-input-control p {
        overflow-x: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        max-width: calc(100% - 50px);
    }
}*/
.panel-header-narrow .mud-expand-panel-header {
  padding-left: 8px !important;
  padding-right: 8px !important;
}

.icon-picker-container {
  max-height: 50vh;
  height: 50vh;
  overflow-y: auto;
  overflow-x: clip;
}
.icon-picker-container .icon-picker-case {
  display: inline-block;
}
.icon-picker-container .icon-picker-case i {
  width: 25px;
  height: 25px;
  max-width: 25px;
  cursor: pointer;
}

.selectable-dropdown, .selectable-dropdown:focus, .selectable-dropdown:focus-visible {
  border-radius: 3px;
  font-size: 13px;
  border: 1px solid var(--mud-palette-grey-light);
  /*margin-bottom: 5px;*/
}

.warning {
  color: red !important;
}

.mud-range-container-dense .mud-range-container {
  margin: 0 0;
}

.mud-menu.active, .applicationMenu .mud-button.active, .mud-list-item-disabled.active .mud-list-item-text, .mud-breadcrumbs li:last-child {
  border: none !important;
}

.applicationMenu .mud-menu .mud-button .mud-button-label, .applicationMenu.mud-appbar a {
  font-weight: bold;
}

.applicationMenu .mud-menu.active .mud-button .mud-button-label, .applicationMenu.mud-appbar a.active {
  color: var(--mud-palette-primary-lighten) !important;
  font-weight: bold !important;
  font-size: var(--mud-typography-button-size);
  text-decoration: none;
}

.applicationMenu.mud-appbar a.inactive {
  color: var(--mud-palette-appbar-text) !important;
  font-weight: bold !important;
  font-size: var(--mud-typography-button-size);
  text-decoration: none;
}

/* ChatBot */
.bubble {
  --r: 1em; /* the radius */
  --t: 1.5em; /* the size of the tail */
  max-width: 700px;
  padding: 1em;
  border-inline: var(--t) solid rgba(0, 0, 0, 0);
  border-radius: calc(var(--r) + var(--t))/var(--r);
  mask: radial-gradient(100% 100% at var(--_p) 0, rgba(0, 0, 0, 0) 99%, #000 102%) var(--_p) 100%/var(--t) var(--t) no-repeat, linear-gradient(#000 0 0) padding-box;
  color: #fff;
  margin: 15px 0;
  width: calc(100% - 50px);
}

.bubble.left {
  --_p: 0;
  border-bottom-left-radius: 0 0;
  place-self: start;
  background: var(--chatbot-color) border-box;
}

.bubble.right {
  --_p: 100%;
  border-bottom-right-radius: 0 0;
  place-self: end;
  background: var(--chatbot-question-color) border-box;
}

.chatbot {
  position: fixed;
  bottom: 12px;
  right: 12px;
  padding: 15px 15px 15px 15px;
  background-color: var(--chatbot-background-color);
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  z-index: 2100;
  max-height: 90vh;
  max-width: 600px;
  overflow-y: scroll;
}

.chatbot-content {
  border: 2px solid var(--chatbot-color);
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
}

.chatbot-header {
  background-color: var(--chatbot-color);
  color: #fff !important;
  padding: 8px;
  height: 40px;
}

.chatbot-closeicon {
  padding: 0;
  color: #fff;
}

.chatbot-input {
  width: calc(100% - 120px);
  white-space: nowrap;
  float: left;
  padding: 10px 0 10px 0;
}

.chatbot-input .mud-input-label {
  background-color: var(--chatbot-background-color);
}

.chatbot-sendicon {
  float: left;
  margin: 20px 0 0 0;
  color: var(--chatbot-question-color);
}

.chatbot-icon {
  position: fixed;
  bottom: 20px;
  right: 30px;
  background-color: var(--mud-palette-bbackground);
  z-index: 2150;
}

.mud-dialog-width-full {
  height: 90vh !important;
  width: calc(100% - 164px) !important;
  max-width: calc(100% - 164px) !important;
}

.mud-dialog-width-full .outline-none, .mud-dialog-width-full .mud-dialog-content {
  height: calc(100% - 60px);
}

.bookmark-dialog {
  height: 400px !important;
  width: 500px !important;
}

.bookmark-dialog .mud-dialog-actions {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
}

.selectable-dimensions, .selectable-measures, .selectable-pivots {
  margin-left: 0.5rem !important;
  font-size: 14px !important;
  cursor: pointer;
}

.selected {
  text-decoration: underline;
  font-weight: 500 !important;
}

/*.mud-dialog-content .visual-body, .mud-dialog-content .tabulator-tableHolder {
    min-height: 65vh !important;
}*/
body.filter-float {
  margin-bottom: 75px;
  height: 100vh;
}

.filter-container .filter-items-container {
  margin-left: 12px;
  margin-right: 12px;
}
.filter-container .filter-items-container .no-flex {
  margin-top: -20px;
}
.filter-container .filter-items-container .filter-range-select, .filter-container .filter-items-container .filter-slider-select {
  padding: 0px 12px;
}
.filter-container .filter-items-container .filter-items {
  max-height: 50vh;
  overflow-y: auto;
}
.filter-container .filter-title {
  font-weight: bold;
}

.bookmarks-container .bookmark-items {
  max-height: 65vh;
  overflow-y: auto;
}
